Atualizar item de checklist
Este endpoint atualiza os dados de um item de checklist existente identificado pelo id.
PUT
/ChecklistItem/{id}Este endpoint atualiza os dados de um item de checklist existente identificado pelo id.
Autenticação
Autenticação obrigatória. Envie sua chave de API de usuário no header X-API-Key.
Parâmetros
| Nome | Local | Tipo | Obrigatório | Descrição | Restrições |
|---|---|---|---|---|---|
id | path | integer · int32 | Sim | — | — |
Corpo da requisição
Content type: application/json · Schema: ChecklistItemDto
| Propriedade | Tipo | Obrigatório | Descrição | Restrições |
|---|---|---|---|---|
id | integer · int32 | Não | — | — |
name | string | Não | — | aceita null |
enable | boolean | Não | — | — |
prompt | string | Não | — | aceita null |
maxScore | integer · int32 | Não | — | — |
highImportance | boolean | Não | — | — |
setScoreToZero | boolean | Não | — | — |
checklistGroupId | integer · int32 | Não | — | — |
integrationId | string | Não | — | aceita null |
checklistId | integer · int32 | Não | — | — |
checklistItemGroupId | integer · int32 | Não | — | — |
checklistItemScriptId | integer · int32 | Não | — | — |
canDelete | boolean | Não | — | — |
Exemplo de requisição
curl --request PUT \
--url 'https://api.zild.ai/ChecklistItem/{id}' \
--header 'X-API-Key: YOUR_USER_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"id": 0,
"name": "string",
"enable": true,
"prompt": "string",
"maxScore": 0,
"highImportance": true,
"setScoreToZero": true,
"checklistGroupId": 0,
"integrationId": "string",
"checklistId": 0,
"checklistItemGroupId": 0,
"checklistItemScriptId": 0,
"canDelete": true
}'
Respostas
| Status | Descrição | Corpo da resposta |
|---|---|---|
200 | Item atualizado com sucesso | Nenhum corpo de resposta está definido. |
Modelos de dados
ChecklistItemDto
| Propriedade | Tipo | Obrigatório | Descrição | Restrições |
|---|---|---|---|---|
id | integer · int32 | Não | — | — |
name | string | Não | — | aceita null |
enable | boolean | Não | — | — |
prompt | string | Não | — | aceita null |
maxScore | integer · int32 | Não | — | — |
highImportance | boolean | Não | — | — |
setScoreToZero | boolean | Não | — | — |
checklistGroupId | integer · int32 | Não | — | — |
integrationId | string | Não | — | aceita null |
checklistId | integer · int32 | Não | — | — |
checklistItemGroupId | integer · int32 | Não | — | — |
checklistItemScriptId | integer · int32 | Não | — | — |
canDelete | boolean | Não | — | — |